/***************************************************************************
                       configgeneralpage.cpp  -  description
                             -------------------
    begin                : Sat Apr 28 19:10:24 EDT 2001
    copyright            : (C) 2001 by Mike Pilone
    email                : mpilone@slac.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONFIG_GENERALPAGE_H
#define CONFIG_GENERALPAGE_H

#include "configpage.h"

class QCheckBox;
class QSpinBox;

class ConfigGeneralPage : public ConfigPage
  {  
      public:
    ConfigGeneralPage(QWidget *parent, const char *name);
    ~ConfigGeneralPage();

    virtual void readOptions(KConfig &config);
    virtual void writeOptions(KConfig &config);

      private:
    QCheckBox *_checkAtStartup;
    QCheckBox *_startMinimized;
    
    QSpinBox *_intervalTime;
  };

#endif
