/***************************************************************************
                     filtermanager.h  -  description
                             -------------------
    begin                : Sat Apr 28 19:10:24 EDT 2001
    copyright            : (C) 2001 by Mike Pilone
    email                : mpilone@slac.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef FILTER_MANAGER_H
#define FILTER_MANAGER_H

#include <qobject.h>

#include "pluginmanager.h"

class KConfig;
class KNMMessage;

class FilterManager : public PluginManager
  {
    public:
  FilterManager(QObject *parent, const char *name);
  ~FilterManager();
  
  enum FilterAction { Delete, Ignore };

  FilterAction filter(KNMMessage &msg);

      protected:
    virtual QString getManagedPluginType()   { return "Filter"; }
    virtual QString getManagedResourceType() { return "filters"; }
  };

#endif
