#ifndef ANIM_WIDGET_H
#define ANIM_WIDGET_H

#include <qwidget.h>
#include <qpixmap.h>
#include <qlist.h>
#include <qtimer.h>

class AnimWidget : public QWidget
  {
  Q_OBJECT

    public:
  AnimWidget(const QString &animIconName,
	     QWidget *parent,
	     const char *name);
  ~AnimWidget();

  void start();
  void stop();
  
 protected slots:
 void slotAnimateTimeout();
  
    private:
  QTimer _animateTimer;
  
  QList<QPixmap> _pixmapList;
  Q_UINT32 _currentIndex;
  };

#endif
