#ifndef SOUND_PLAYER_CONFIG_DIALOG_H
#define SOUND_PLAYER_CONFIG_DIALOG_H

#include <kdialogbase.h>

class KURLRequester;
class KLineEdit;

class SoundPlayerConfigDialog : public KDialogBase
  {
    public:
  SoundPlayerConfigDialog(const QString &pName,
			  const QString &filePath,
			  const QString &playerPath,
			  QWidget *parent, const char *name);
  ~SoundPlayerConfigDialog();

  QString getPluginName();
  QString getFilePath();
  QString getPlayerPath();

    private:
  KLineEdit *_nameEdit;
  KURLRequester *_fileRequester;
  KURLRequester *_playerRequester;
  };

#endif
