/***************************************************************************
                     knmessage.cpp  -  description
                             -------------------
    begin                : Sat Apr 28 19:10:24 EDT 2001
    copyright            : (C) 2001 by Mike Pilone
    email                : mpilone@slac.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "knmmessage.h"

Q_UINT32 KNMMessage::_sUIDCounter = 0;

KNMMessage::KNMMessage(Q_UINT32 ownerUID, const QString &accountName,
		       const QString &msgHeader)
  : Envelope(msgHeader.utf8()), _ownerUID(ownerUID),
    _uniqueID(_sUIDCounter++), _markedForDelete(false),
    _accountName(accountName)
  {
  _uniqueID = _sUIDCounter++;
  if (_sUIDCounter > 100000)
    _sUIDCounter = 0;
  }
    
KNMMessage::~KNMMessage()
  {
  }


// void KNMMessage::parseMessage(const QString &rawMsg,
// 			      QString &from, QString &to,
// 			      QString &subject, QDateTime &dateTime)
//   {
//   Q_INT32 sIndex = 0;
//   Q_INT32 eIndex = 0;
  
//   // To field
//   sIndex = rawMsg.find("To: ", 0, false);
//   if (sIndex >= 0)
//     {
//     sIndex += 4;
//     eIndex = rawMsg.find("\n", sIndex, false);

//     to = rawMsg.mid(sIndex, eIndex-sIndex);
//     }

//   // From field
//   sIndex = 0;
//   eIndex = 0;
//   sIndex = rawMsg.find("From: ", 0, false);
//   if (sIndex >= 0)
//     {
//     sIndex += 6;
//     eIndex = rawMsg.find("\n", sIndex, false);

//     from = rawMsg.mid(sIndex, eIndex-sIndex);
//     }

//   // Subject field
//   sIndex = 0;
//   eIndex = 0;
//   sIndex = rawMsg.find("Subject: ", 0, false);
//   if (sIndex >= 0)
//     {
//     sIndex += 9;
//     eIndex = rawMsg.find("\n", sIndex, false);

//     subject = rawMsg.mid(sIndex, eIndex-sIndex);
//     }
  
//   //kdDebug() << "To: " << to << "\n"
//   //    << "From: " << from << "\n"
//   //    << "Subject: " << subject << "\n";
// }
