/***************************************************************************
                       configpage.h  -  description
                             -------------------
    begin                : Sat Apr 28 19:10:24 EDT 2001
    copyright            : (C) 2001 by Mike Pilone
    email                : mpilone@slac.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONFIGPAGE_H
#define CONFIGPAGE_H

#include <qvbox.h>

class KConfig;

class ConfigPage : public QVBox
  {
    Q_OBJECT

      public:
    ConfigPage(QWidget *parent, const char *name)
	  : QVBox(parent, name) {}
    
    virtual ~ConfigPage() {}
    
    virtual void readOptions(KConfig &config) = 0;
    virtual void writeOptions(KConfig &config) = 0;

 protected slots:
 void slotModified(int) { emit modified(); }
  void slotModified(const QString &) { emit modified(); }
  void slotModified() { emit modified(); }
  void slotModified(bool) { emit modified(); }
  
    signals:
    void modified();
  };

#endif
