#ifndef LOCAL_CONFIG_DIALOG_H
#define LOCAL_CONFIG_DIALOG_H

#include <qstring.h>

#include <kdialogbase.h>

class QLineEdit;
class KURLRequester;

class LocalConfigDialog : public KDialogBase
  {
    public:
  LocalConfigDialog(const QString &pluginName,
		  const QString &spoolFilePath,
		    QWidget *parent, const char *name);
  ~LocalConfigDialog();

  QString getPluginName() const;
  QString getSpoolFilePath() const;


    private:
  QLineEdit *_pluginNameEdit;
  KURLRequester *_spoolFilePathEdit;
  };

#endif
